|
|
@ -117,14 +117,6 @@ def model(): |
|
|
|
.workplane(offset=-scr_thickness, centerOption="CenterOfBoundBox") |
|
|
|
.placeSketch(board_cutout) |
|
|
|
.cutBlind(-6) |
|
|
|
# # Make small hole for the keyboard cable |
|
|
|
# # not needed with this keyboard |
|
|
|
# .faces("<Y") |
|
|
|
# .workplane(centerOption="CenterOfBoundBox") |
|
|
|
# .center(width / 2 - 175, -4) |
|
|
|
# .placeSketch(kbd_cable_hole) |
|
|
|
# .cutBlind(-height / 2) |
|
|
|
# Pillars to join with bottom half |
|
|
|
.workplaneFromTagged("mid_height") |
|
|
|
.workplane(offset=-thickness / 2, centerOption="CenterOfBoundBox") |
|
|
|
.center(-width / 2, height_bottom - height / 2) |
|
|
|